QJournalProtocolProtos.PrepareRecoveryResponseProto (Apache Hadoop HDFS 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.qjournal.protocol, class: QJournalProtocolProtos, class: PrepareRecoveryResponseProto

Package org.apache.hadoop.hdfs.qjournal.protocol

# Class QJournalProtocolProtos.PrepareRecoveryResponseProto

java.lang.Object
org.apache.hadoop.thirdparty.protobuf.AbstractMessageLite
org.apache.hadoop.thirdparty.protobuf.AbstractMessage
org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3
org.apache.hadoop.hdfs.qjournal.protocol.QJournalProtocolProtos.PrepareRecoveryResponseProto

All Implemented Interfaces:
  `Serializable`, `QJournalProtocolProtos.PrepareRecoveryResponseProtoOrBuilder`, `org.apache.hadoop.thirdparty.protobuf.Message`, `org.apache.hadoop.thirdparty.protobuf.MessageLite`, `org.apache.hadoop.thirdparty.protobuf.MessageLiteOrBuilder`, `org.apache.hadoop.thirdparty.protobuf.MessageOrBuilder`

Enclosing class:
  QJournalProtocolProtos

public static final class QJournalProtocolProtos.PrepareRecoveryResponseProto extends org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3 implements QJournalProtocolProtos.PrepareRecoveryResponseProtoOrBuilder
Protobuf type `hadoop.hdfs.qjournal.PrepareRecoveryResponseProto`

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `QJournalProtocolProtos.PrepareRecoveryResponseProto.Builder`
  Protobuf type `hadoop.hdfs.qjournal.PrepareRecoveryResponseProto`

  ## Nested classes/interfaces inherited from class org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3

  `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.BuilderParent, org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageT extends org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.ExtendableMessage<MessageT>,BuilderT extends org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageT,BuilderT>>, org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.ExtendableMessage<MessageT extends org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.ExtendableMessage<MessageT>>, org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.ExtendableMessageOrBuilder<MessageT extends org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.ExtendableMessage<MessageT>>, org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.FieldAccessorTable, org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.UnusedPrivateParameter`

  ## Nested classes/interfaces inherited from class org.apache.hadoop.thirdparty.protobuf.AbstractMessageLite

  `org.apache.hadoop.thirdparty.protobuf.AbstractMessageLite.InternalOneOfEnum`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `ACCEPTEDINEPOCH_FIELD_NUMBER`
  `static final int`
  `LASTCOMMITTEDTXID_FIELD_NUMBER`
  `static final int`
  `LASTWRITEREPOCH_FIELD_NUMBER`
  `static final org.apache.hadoop.thirdparty.protobuf.Parser<QJournalProtocolProtos.PrepareRecoveryResponseProto>`
  `PARSER`
  Deprecated.
  `static final int`
  `SEGMENTSTATE_FIELD_NUMBER`

  ### Fields inherited from class org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3

  `alwaysUseFieldBuilders, unknownFields`

  ### Fields inherited from class org.apache.hadoop.thirdparty.protobuf.AbstractMessage

  `memoizedSize`

  ### Fields inherited from class org.apache.hadoop.thirdparty.protobuf.AbstractMessageLite

  `memoizedHashCode`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  `long`
  `getAcceptedInEpoch()`
  `optional uint64 acceptedInEpoch = 2;`
  `static QJournalProtocolProtos.PrepareRecoveryResponseProto`
  `getDefaultInstance()`
  `QJournalProtocolProtos.PrepareRecoveryResponseProto`
  `getDefaultInstanceForType()`
  `static final org.apache.hadoop.thirdparty.protobuf.Descriptors.Descriptor`
  `getDescriptor()`
  `long`
  `getLastCommittedTxId()`
  The highest committed txid that this logger has ever seen.
  `long`
  `getLastWriterEpoch()`
  `required uint64 lastWriterEpoch = 3;`
  `org.apache.hadoop.thirdparty.protobuf.Parser<QJournalProtocolProtos.PrepareRecoveryResponseProto>`
  `getParserForType()`
  `QJournalProtocolProtos.SegmentStateProto`
  `getSegmentState()`
  `optional .hadoop.hdfs.qjournal.SegmentStateProto segmentState = 1;`
  `QJournalProtocolProtos.SegmentStateProtoOrBuilder`
  `getSegmentStateOrBuilder()`
  `optional .hadoop.hdfs.qjournal.SegmentStateProto segmentState = 1;`
  `int`
  `getSerializedSize()`
  `boolean`
  `hasAcceptedInEpoch()`
  `optional uint64 acceptedInEpoch = 2;`
  `int`
  `hashCode()`
  `boolean`
  `hasLastCommittedTxId()`
  The highest committed txid that this logger has ever seen.
  `boolean`
  `hasLastWriterEpoch()`
  `required uint64 lastWriterEpoch = 3;`
  `boolean`
  `hasSegmentState()`
  `optional .hadoop.hdfs.qjournal.SegmentStateProto segmentState = 1;`
  `protected org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.FieldAccessorTable`
  `internalGetFieldAccessorTable()`
  `final boolean`
  `isInitialized()`
  `static QJournalProtocolProtos.PrepareRecoveryResponseProto.Builder`
  `newBuilder()`
  `static QJournalProtocolProtos.PrepareRecoveryResponseProto.Builder`
  `newBuilder(QJournalProtocolProtos.PrepareRecoveryResponseProto prototype)`
  `QJournalProtocolProtos.PrepareRecoveryResponseProto.Builder`
  `newBuilderForType()`
  `protected QJournalProtocolProtos.PrepareRecoveryResponseProto.Builder`
  `newBuilderForType(org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.BuilderParent parent)`
  `protected Object`
  `newInstance(org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)`
  `static QJournalProtocolProtos.PrepareRecoveryResponseProto`
  `parseDelimitedFrom(InputStream input)`
  `static QJournalProtocolProtos.PrepareRecoveryResponseProto`
  `parseDelimitedFrom(InputStream input, org.apache.hadoop.thirdparty.protobuf.ExtensionRegistryLite extensionRegistry)`
  `static QJournalProtocolProtos.PrepareRecoveryResponseProto`
  `parseFrom(byte[] data)`
  `static QJournalProtocolProtos.PrepareRecoveryResponseProto`
  `parseFrom(byte[] data, org.apache.hadoop.thirdparty.protobuf.ExtensionRegistryLite extensionRegistry)`
  `static QJournalProtocolProtos.PrepareRecoveryResponseProto`
  `parseFrom(InputStream input)`
  `static QJournalProtocolProtos.PrepareRecoveryResponseProto`
  `parseFrom(InputStream input, org.apache.hadoop.thirdparty.protobuf.ExtensionRegistryLite extensionRegistry)`
  `static QJournalProtocolProtos.PrepareRecoveryResponseProto`
  `parseFrom(ByteBuffer data)`
  `static QJournalProtocolProtos.PrepareRecoveryResponseProto`
  `parseFrom(ByteBuffer data, org.apache.hadoop.thirdparty.protobuf.ExtensionRegistryLite extensionRegistry)`
  `static QJournalProtocolProtos.PrepareRecoveryResponseProto`
  `parseFrom(org.apache.hadoop.thirdparty.protobuf.ByteString data)`
  `static QJournalProtocolProtos.PrepareRecoveryResponseProto`
  `parseFrom(org.apache.hadoop.thirdparty.protobuf.ByteString data, org.apache.hadoop.thirdparty.protobuf.ExtensionRegistryLite extensionRegistry)`
  `static QJournalProtocolProtos.PrepareRecoveryResponseProto`
  `parseFrom(org.apache.hadoop.thirdparty.protobuf.CodedInputStream input)`
  `static QJournalProtocolProtos.PrepareRecoveryResponseProto`
  `parseFrom(org.apache.hadoop.thirdparty.protobuf.CodedInputStream input, org.apache.hadoop.thirdparty.protobuf.ExtensionRegistryLite extensionRegistry)`
  `static org.apache.hadoop.thirdparty.protobuf.Parser<QJournalProtocolProtos.PrepareRecoveryResponseProto>`
  `parser()`
  `QJournalProtocolProtos.PrepareRecoveryResponseProto.Builder`
  `toBuilder()`
  `void`
  `writeTo(org.apache.hadoop.thirdparty.protobuf.CodedOutputStream output)`

  ### Methods inherited from class org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3

  `canUseUnsafe, computeStringSize, computeStringSizeNoTag, emptyBooleanList, emptyDoubleList, emptyFloatList, emptyIntList, emptyList, emptyLongList, getAllFields, getDescriptorForType, getField, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMapFieldReflection, isStringEmpty, makeExtensionsImmutable, makeMutableCopy, makeMutableCopy, mergeFromAndMakeImmutableInternal, mutableCopy, mutableCopy, mutableCopy, mutableCopy, mutableCopy, newBooleanList, newBuilderForType, newDoubleList, newFloatList, newIntList, newLongList, parseDelimitedWithIOException, parseDelimitedWithIOException, parseUnknownField, parseUnknownFieldProto3, parseWithIOException, parseWithIOException, parseWithIOException, parseWithIOException, serializeBooleanMapTo, serializeIntegerMapTo, serializeLongMapTo, serializeStringMapTo, writeReplace, writeString, writeStringNoTag`

  ### Methods inherited from class org.apache.hadoop.thirdparty.protobuf.AbstractMessage

  `findInitializationErrors, getInitializationErrorString, hashBoolean, hashEnum, hashEnumList, hashFields, hashLong, toString`

  ### Methods inherited from class org.apache.hadoop.thirdparty.protobuf.AbstractMessageLite

  `addAll, addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.apache.hadoop.thirdparty.protobuf.MessageLite

  `toByteArray, toByteString, writeDelimitedTo, writeTo`

  ### Methods inherited from interface org.apache.hadoop.thirdparty.protobuf.MessageOrBuilder

  `findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- ## Field Details

  - ### SEGMENTSTATE_FIELD_NUMBER

    public static final int SEGMENTSTATE_FIELD_NUMBER
    See Also:
      - Constant Field Values

  - ### ACCEPTEDINEPOCH_FIELD_NUMBER

    public static final int ACCEPTEDINEPOCH_FIELD_NUMBER
    See Also:
      - Constant Field Values

  - ### LASTWRITEREPOCH_FIELD_NUMBER

    public static final int LASTWRITEREPOCH_FIELD_NUMBER
    See Also:
      - Constant Field Values

  - ### LASTCOMMITTEDTXID_FIELD_NUMBER

    public static final int LASTCOMMITTEDTXID_FIELD_NUMBER
    See Also:
      - Constant Field Values

  - ### PARSER

    @Deprecated public static final org.apache.hadoop.thirdparty.protobuf.Parser<QJournalProtocolProtos.PrepareRecoveryResponseProto> PARSER
    Deprecated.

- ## Method Details

  - ### newInstance

    protected Object newInstance(org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)
    Overrides:
      `newInstance` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3`

  - ### getDescriptor

    public static final org.apache.hadoop.thirdparty.protobuf.Descriptors.Descriptor getDescriptor()

  - ### internalGetFieldAccessorTable

    protected org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()
    Specified by:
      `internalGetFieldAccessorTable` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3`

  - ### hasSegmentState

    public boolean hasSegmentState()
    `optional .hadoop.hdfs.qjournal.SegmentStateProto segmentState = 1;`
    Specified by:
      `hasSegmentState` in interface `QJournalProtocolProtos.PrepareRecoveryResponseProtoOrBuilder`
    Returns:
      Whether the segmentState field is set.

  - ### getSegmentState

    public QJournalProtocolProtos.SegmentStateProto getSegmentState()
    `optional .hadoop.hdfs.qjournal.SegmentStateProto segmentState = 1;`
    Specified by:
      `getSegmentState` in interface `QJournalProtocolProtos.PrepareRecoveryResponseProtoOrBuilder`
    Returns:
      The segmentState.

  - ### getSegmentStateOrBuilder

    public QJournalProtocolProtos.SegmentStateProtoOrBuilder getSegmentStateOrBuilder()
    `optional .hadoop.hdfs.qjournal.SegmentStateProto segmentState = 1;`
    Specified by:
      `getSegmentStateOrBuilder` in interface `QJournalProtocolProtos.PrepareRecoveryResponseProtoOrBuilder`

  - ### hasAcceptedInEpoch

    public boolean hasAcceptedInEpoch()
    `optional uint64 acceptedInEpoch = 2;`
    Specified by:
      `hasAcceptedInEpoch` in interface `QJournalProtocolProtos.PrepareRecoveryResponseProtoOrBuilder`
    Returns:
      Whether the acceptedInEpoch field is set.

  - ### getAcceptedInEpoch

    public long getAcceptedInEpoch()
    `optional uint64 acceptedInEpoch = 2;`
    Specified by:
      `getAcceptedInEpoch` in interface `QJournalProtocolProtos.PrepareRecoveryResponseProtoOrBuilder`
    Returns:
      The acceptedInEpoch.

  - ### hasLastWriterEpoch

    public boolean hasLastWriterEpoch()
    `required uint64 lastWriterEpoch = 3;`
    Specified by:
      `hasLastWriterEpoch` in interface `QJournalProtocolProtos.PrepareRecoveryResponseProtoOrBuilder`
    Returns:
      Whether the lastWriterEpoch field is set.

  - ### getLastWriterEpoch

    public long getLastWriterEpoch()
    `required uint64 lastWriterEpoch = 3;`
    Specified by:
      `getLastWriterEpoch` in interface `QJournalProtocolProtos.PrepareRecoveryResponseProtoOrBuilder`
    Returns:
      The lastWriterEpoch.

  - ### hasLastCommittedTxId

    public boolean hasLastCommittedTxId()

         The highest committed txid that this logger has ever seen.
         This may be higher than the data it actually has, in the case
         that it was lagging before the old writer crashed.

    `optional uint64 lastCommittedTxId = 4;`
    Specified by:
      `hasLastCommittedTxId` in interface `QJournalProtocolProtos.PrepareRecoveryResponseProtoOrBuilder`
    Returns:
      Whether the lastCommittedTxId field is set.

  - ### getLastCommittedTxId

    public long getLastCommittedTxId()

         The highest committed txid that this logger has ever seen.
         This may be higher than the data it actually has, in the case
         that it was lagging before the old writer crashed.

    `optional uint64 lastCommittedTxId = 4;`
    Specified by:
      `getLastCommittedTxId` in interface `QJournalProtocolProtos.PrepareRecoveryResponseProtoOrBuilder`
    Returns:
      The lastCommittedTxId.

  - ### isInitialized

    public final boolean isInitialized()
    Specified by:
      `isInitialized` in interface `org.apache.hadoop.thirdparty.protobuf.MessageLiteOrBuilder`
    Overrides:
      `isInitialized` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3`

  - ### writeTo

    public void writeTo(org.apache.hadoop.thirdparty.protobuf.CodedOutputStream output) throws IOException
    Specified by:
      `writeTo` in interface `org.apache.hadoop.thirdparty.protobuf.MessageLite`
    Overrides:
      `writeTo` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3`
    Throws:
      `IOException`

  - ### getSerializedSize

    public int getSerializedSize()
    Specified by:
      `getSerializedSize` in interface `org.apache.hadoop.thirdparty.protobuf.MessageLite`
    Overrides:
      `getSerializedSize` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3`

  - ### equals

    public boolean equals(Object obj)
    Specified by:
      `equals` in interface `org.apache.hadoop.thirdparty.protobuf.Message`
    Overrides:
      `equals` in class `org.apache.hadoop.thirdparty.protobuf.AbstractMessage`

  - ### hashCode

    public int hashCode()
    Specified by:
      `hashCode` in interface `org.apache.hadoop.thirdparty.protobuf.Message`
    Overrides:
      `hashCode` in class `org.apache.hadoop.thirdparty.protobuf.AbstractMessage`

  - ### parseFrom

    public static QJournalProtocolProtos.PrepareRecoveryResponseProto parseFrom(ByteBuffer data) throws org.apache.hadoop.thirdparty.protobuf.InvalidProtocolBufferException
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.InvalidProtocolBufferException`

  - ### parseFrom

    public static QJournalProtocolProtos.PrepareRecoveryResponseProto parseFrom(ByteBuffer data, org.apache.hadoop.thirdparty.protobuf.ExtensionRegistryLite extensionRegistry) throws org.apache.hadoop.thirdparty.protobuf.InvalidProtocolBufferException
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.InvalidProtocolBufferException`

  - ### parseFrom

    public static QJournalProtocolProtos.PrepareRecoveryResponseProto parseFrom(org.apache.hadoop.thirdparty.protobuf.ByteString data) throws org.apache.hadoop.thirdparty.protobuf.InvalidProtocolBufferException
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.InvalidProtocolBufferException`

  - ### parseFrom

    public static QJournalProtocolProtos.PrepareRecoveryResponseProto parseFrom(org.apache.hadoop.thirdparty.protobuf.ByteString data, org.apache.hadoop.thirdparty.protobuf.ExtensionRegistryLite extensionRegistry) throws org.apache.hadoop.thirdparty.protobuf.InvalidProtocolBufferException
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.InvalidProtocolBufferException`

  - ### parseFrom

    public static QJournalProtocolProtos.PrepareRecoveryResponseProto parseFrom(byte[] data) throws org.apache.hadoop.thirdparty.protobuf.InvalidProtocolBufferException
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.InvalidProtocolBufferException`

  - ### parseFrom

    public static QJournalProtocolProtos.PrepareRecoveryResponseProto parseFrom(byte[] data, org.apache.hadoop.thirdparty.protobuf.ExtensionRegistryLite extensionRegistry) throws org.apache.hadoop.thirdparty.protobuf.InvalidProtocolBufferException
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.InvalidProtocolBufferException`

  - ### parseFrom

    public static QJournalProtocolProtos.PrepareRecoveryResponseProto parseFrom(InputStream input) throws IOException
    Throws:
      `IOException`

  - ### parseFrom

    public static QJournalProtocolProtos.PrepareRecoveryResponseProto parseFrom(InputStream input, org.apache.hadoop.thirdparty.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException
    Throws:
      `IOException`

  - ### parseDelimitedFrom

    public static QJournalProtocolProtos.PrepareRecoveryResponseProto parseDelimitedFrom(InputStream input) throws IOException
    Throws:
      `IOException`

  - ### parseDelimitedFrom

    public static QJournalProtocolProtos.PrepareRecoveryResponseProto parseDelimitedFrom(InputStream input, org.apache.hadoop.thirdparty.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException
    Throws:
      `IOException`

  - ### parseFrom

    public static QJournalProtocolProtos.PrepareRecoveryResponseProto parseFrom(org.apache.hadoop.thirdparty.protobuf.CodedInputStream input) throws IOException
    Throws:
      `IOException`

  - ### parseFrom

    public static QJournalProtocolProtos.PrepareRecoveryResponseProto parseFrom(org.apache.hadoop.thirdparty.protobuf.CodedInputStream input, org.apache.hadoop.thirdparty.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException
    Throws:
      `IOException`

  - ### newBuilderForType

    public QJournalProtocolProtos.PrepareRecoveryResponseProto.Builder newBuilderForType()
    Specified by:
      `newBuilderForType` in interface `org.apache.hadoop.thirdparty.protobuf.Message`
    Specified by:
      `newBuilderForType` in interface `org.apache.hadoop.thirdparty.protobuf.MessageLite`

  - ### newBuilder

    public static QJournalProtocolProtos.PrepareRecoveryResponseProto.Builder newBuilder()

  - ### newBuilder

    public static QJournalProtocolProtos.PrepareRecoveryResponseProto.Builder newBuilder(QJournalProtocolProtos.PrepareRecoveryResponseProto prototype)

  - ### toBuilder

    public QJournalProtocolProtos.PrepareRecoveryResponseProto.Builder toBuilder()
    Specified by:
      `toBuilder` in interface `org.apache.hadoop.thirdparty.protobuf.Message`
    Specified by:
      `toBuilder` in interface `org.apache.hadoop.thirdparty.protobuf.MessageLite`

  - ### newBuilderForType

    protected QJournalProtocolProtos.PrepareRecoveryResponseProto.Builder newBuilderForType(org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.BuilderParent parent)
    Specified by:
      `newBuilderForType` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3`

  - ### getDefaultInstance

    public static QJournalProtocolProtos.PrepareRecoveryResponseProto getDefaultInstance()

  - ### parser

    public static org.apache.hadoop.thirdparty.protobuf.Parser<QJournalProtocolProtos.PrepareRecoveryResponseProto> parser()

  - ### getParserForType

    public org.apache.hadoop.thirdparty.protobuf.Parser<QJournalProtocolProtos.PrepareRecoveryResponseProto> getParserForType()
    Specified by:
      `getParserForType` in interface `org.apache.hadoop.thirdparty.protobuf.Message`
    Specified by:
      `getParserForType` in interface `org.apache.hadoop.thirdparty.protobuf.MessageLite`
    Overrides:
      `getParserForType` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3`

  - ### getDefaultInstanceForType

    public QJournalProtocolProtos.PrepareRecoveryResponseProto getDefaultInstanceForType()
    Specified by:
      `getDefaultInstanceForType` in interface `org.apache.hadoop.thirdparty.protobuf.MessageLiteOrBuilder`
    Specified by:
      `getDefaultInstanceForType` in interface `org.apache.hadoop.thirdparty.protobuf.MessageOrBuilder`